Subject: Re: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Nathan Trapuzzano <[email-masked]>
Date: Sat, 11 Jan 2014 07:24:30 -0500

Eli Zaretskii <[email-masked]> writes:

> I don't even agree it's not intuitive: in the eob case there's nothing
> at point-max, while in a narrowed buffer there's a character there.
> Narrowing is not documented to make the text outside the region to
> magically disappear, it just prevents point from moving there.
>
> Nathan, could you show an example where this hurts anything besides
> intuition?

It's unintuitive or at least inconsistent because other functions
(e.g. `char-after') treat the high edge of a narrowed buffer as though
it were the actual end of the buffer.

For an example of where this is problematic, look at the patch I
submitted last night on this list.  I was patching functions that use
the text property search functions and had to make a special case for
where point is at (point-max) and the buffer is narrowed.